package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.CmMallOperationUser;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/9
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OperationVo extends CmMallOperationUser {
    /**
     * 邀请码是否有效 1有效，2已使用，3已失效
     */
    private String effectiveFlag;
    /**
     * 邀请码剩余天数
     */
    private int effectiveDays;
    /**
     * 确认标志
     */
    private String configFlag;
    /**
     * 手机号或邮箱
     */
    private String mobileOrEmail;

    /**
     * 企业账号密码
     */
    private String password;

    /**
     * 手机验证码
     */
    private String verificationCode;

    /**
     * 机构状态
     */
    private String clubStatus;
}
